# BirdTracker

The `BirdTracker` class is the main entry point for tracking events in the Bird SDK. It exposes the available semantic event packages and their corresponding methods to track events.

## Examples

To emit a custom event, you can use the `track` method directly on the SDK instance:

```ts
sdk.tracker.track("my-event", { "bird": "is the word" });
```

To access `BirdTracker` and the semantic packages, you can use the `tracker` property of the SDK instance.

```ts
sdk.tracker.ecommerce.orderConfirmed(event_props, event_opts);
```

## Extends

* `Tracker`

## Properties

| Property       | Type                  |
| -------------- | --------------------- |
| `audiences`    | `AudiencesTracker`    |
| `conference`   | `ConferenceTracker`   |
| `ecommerce`    | `EcommerceTracker`    |
| `messaging`    | `MessagingTracker`    |
| `subscription` | `SubscriptionTracker` |
| `suppressions` | `SuppressionsTracker` |
| `survey`       | `SurveyTracker`       |
| `tracker`      | `TrackerTracker`      |
| `web`          | `WebTracker`          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/client-sdks/sdk-integration/web-sdk/api-reference/birdtracker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
